const { notEmpty } = require('../utils.js');

module.exports = {
  description: 'generate vue component',
  prompts: [
    {
      type: 'input',
      name: 'name',
      message: '请输入文件夹路径',
      validate: notEmpty('name'),
    },
  ],
  actions: (data) => {
    const { name } = data;
    const actions = [
      {
        type: 'add',
        path: `src/components/${name}/index.vue`,
        templateFile: 'plop-templates/component/index.hbs',
        data: {
          name,
        },
      },
      {
        type: 'add',
        path: `src/components/${name}/index.ts`,
        templateFile: 'plop-templates/component/export.hbs',
        data: {
          name,
        },
      },
    ];

    return actions;
  },
};
