const { notEmpty, upperCamelCase } = require('../utils.js');

module.exports = {
  description: 'generate a view',
  prompts: [
    {
      type: 'input',
      name: 'dir',
      message: '请输入文件夹路径',
      validate: notEmpty('name'),
    },
    {
      type: 'input',
      name: 'baseUrl',
      message: '请输入baseUrl',
      validate: notEmpty('name'),
    },
  ],
  actions: (data) => {
    const { dir, baseUrl } = data;
    const ApiName = `${upperCamelCase(baseUrl)}Api`;
    const actions = [
      {
        type: 'add',
        path: `src/views/${dir}/index.vue`,
        templateFile: 'plop-templates/view/index.hbs',
        data: {
          ApiName,
        },
      },
      {
        type: 'add',
        path: `src/views/${dir}/api/${ApiName}.ts`,
        templateFile: 'plop-templates/view/ModuleApi.hbs',
        data: {
          baseUrl,
          ApiName,
        },
      },
    ];

    return actions;
  },
};
