import BaseApi from '@/api/base/BaseApi';
import type { ResponseData } from '@/api/request/index.d';

class DictApi extends BaseApi {
  constructor() {
    super({
      baseUrl: '/dict',
    });
  }

  mawbStatus(data?: any): Promise<ResponseData<any>> {
    return super.customizeGet('/mawb-status', data);
  }

  googsType(data?: any): Promise<ResponseData<any>> {
    return super.customizeGet('/googs-type', data);
  }

  wbcStatus(data?: any): Promise<ResponseData<any>> {
    return super.customizeGet('/wbc-status', data);
  }

  currCode(data?: any): Promise<ResponseData<any>> {
    return super.customizeGet('/curr-code', data);
  }

  shcCatalog(data?: any): Promise<ResponseData<any>> {
    return super.customizeGet('/shc-catalog', data);
  }

  undgType(data?: any): Promise<ResponseData<any>> {
    return super.customizeGet('/undg-type', data);
  }

  chgsCode(data?: any): Promise<ResponseData<any>> {
    return super.customizeGet('/chgs-code', data);
  }

  vehbookHslot(data?: any): Promise<ResponseData<any>> {
    return super.customizeGet('/vehbook-hslot', data);
  }

  vehbookInhslot(data?: any): Promise<ResponseData<any>> {
    return super.customizeGet('/vehbook-inhslot', data);
  }

  vehbookVtype(data?: any): Promise<ResponseData<any>> {
    return super.customizeGet('/vehbook-vtype', data);
  }

  boolType(data?: any): Promise<ResponseData<any>> {
    return super.customizeGet('/bool-type', data);
  }

  iwvehType(data?: any): Promise<ResponseData<any>> {
    return super.customizeGet('/iwveh-type', data);
  }

  veh(): Promise<ResponseData<any>> {
    return super.customizeGet('', {
      code: 'veh.status',
    });
  }
}

export default new DictApi();
