import { getEncryptCode } from '@/utils/auth';
import qs from 'qs';
import type { ResponseData } from '@/api/request/index.d';
import request from '../request/index';

export const login = (data: any) => {
  return request.post('/login', {
    ...data,
    password: getEncryptCode(data.password),
  });
};

export const refreshToken = (data: any) => {
  return request.post('/oauth/token', qs.stringify(data), {
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded',
    },
  });
};

export const getCaptcha = (data?: any): Promise<ResponseData<any>> => {
  return request.get('/captcha/get-captcha', { params: data });
};
