// todo 无法在<script setup>中使用, 如何解决?
import { computed, withDefaults, defineProps } from 'vue';
import { isObject } from '@arco-design/web-vue/es/_utils/is';
import { ListItem } from '../types';

interface Props {
  list: Array<ListItem | string | number | object> | Record<string, any>;
}

const useList = () => {
  const props = withDefaults(defineProps<Props>(), {
    list: () => [],
  });

  // 支持字符串/数字数组
  const list = computed(() => {
    return isObject(props.list)
      ? Object.keys(props.list).map((key: any) => {
          return {
            label: (props.list as Record<string, any>)[key],
            value: key,
          };
        })
      : (props.list as []).map((item: any) => {
          return isObject(item) ? item : { label: item, value: item };
        });
  });

  return {
    list,
  };
};

export default useList;
