const { location } = window;
const ishttps: boolean = Object.is(location.protocol, 'https:');

function getWSUrl(): string {
  const { VITE_WS_URL } = import.meta.env;
  if (/^ws/.test(VITE_WS_URL as string)) {
    return VITE_WS_URL as string;
  }
  return (ishttps ? 'wss://' : 'ws://') + location.host + VITE_WS_URL;
}

export const SUCCESS_CODE = 200;

export const VITE_WS_URL: string = getWSUrl();

export const defaultPollInterval = 30;

export const defaultPollIntervalUnit = 1000;

// websocket 重连延迟时间
export const WS_RECONNECT_DELAY = 5 * 1000;

// websocket 心跳间隔
export const WS_HEARTBEAT_INTERVAL = 10 * 1000;
