export enum AUTH_TYPE {
  ALL = 0,
  CUSTOMIZE,
  USER_LEVEL,
  USER_LEVEL_AND_CHILD,
}
// 5-超级管理员
export const SYSTEM_ADMIN = 5;
// 1-货代角色、2-航司角色、3-货站管理角色、4-海关角色、
export enum ROLE_TYPE {
  FREIGHT_FORWARDER = 1,
  AIRLINE_COMPANY,
  FREIGHT_STATION,
  CUSTOMS_ROLE,
  // SUPER_ADMIN,
}
//  租户类型（1-货运代理 2-航空公司 3-海关 4-管理员
export enum MERCHANT_TYPE {
  FREIGHT_FORWARDER = 1,
  AIRLINE_COMPANY,
  CUSTOMS_ROLE,
  SUPER_ADMIN,
}
export enum ROLE_AUTH_TYPE {
  MENU_ROLE = 1,
  DATA_ROLE,
}

export const AUTH_TYPE_MAP = {
  [AUTH_TYPE.ALL]: '全部',
  [AUTH_TYPE.CUSTOMIZE]: '自定义',
  [AUTH_TYPE.USER_LEVEL]: '本级',
  [AUTH_TYPE.USER_LEVEL_AND_CHILD]: '本级及子级',
};

export const ROLE_TYPE_MAP = {
  [ROLE_TYPE.FREIGHT_FORWARDER]: '货代',
  [ROLE_TYPE.AIRLINE_COMPANY]: '航司',
  [ROLE_TYPE.FREIGHT_STATION]: '货站管理',
  [ROLE_TYPE.CUSTOMS_ROLE]: '海关',
  // [ROLE_TYPE.SUPER_ADMIN]: '超级管理员',
};
export const MERCHANT_TYPE_MAP = {
  [MERCHANT_TYPE.FREIGHT_FORWARDER]: '货运代理',
  [MERCHANT_TYPE.AIRLINE_COMPANY]: '航空公司',
  [MERCHANT_TYPE.CUSTOMS_ROLE]: '海关',
  [MERCHANT_TYPE.SUPER_ADMIN]: '管理员',
};
export const ROLE_AUTH_MAP = {
  [ROLE_AUTH_TYPE.MENU_ROLE]: '菜单角色',
  [ROLE_AUTH_TYPE.DATA_ROLE]: '数据角色',
};
