import { useUserStore } from '@/store';

const authDirective = {
  name: 'auth',
  directive: {
    mounted(el: HTMLElement, binding: any) {
      const { permissions } = useUserStore();
      if (Array.isArray(permissions) && permissions[0] === '*:*:*') return;
      if (!permissions.includes(binding.value)) {
        el.remove();
      }
    },
  },
};

/**
 * 判断是否具有某些权限,单个
 * @param str
 */
export const hasPermission = (str: string): boolean => {
  const { permissions }: string[] = useUserStore();
  if (!Array.isArray(permissions)) return false;
  if (permissions[0] === '*:*:*') return true;
  return permissions.includes(str);
};

export default authDirective;
