import { createI18n } from 'vue-i18n';
import en from './en-US';
import cn from './zh-CN';

export enum LOCALE_ENUM {
  CN = 'zh-CN',
  EN = 'en-US',
}

export const LOCALE_OPTIONS = [
  { label: '中文', value: LOCALE_ENUM.CN },
  { label: 'English', value: LOCALE_ENUM.EN },
];

const defaultLocale = localStorage.getItem('arco-locale') || LOCALE_ENUM.CN;

const i18n = createI18n({
  locale: defaultLocale,
  fallbackLocale: 'en-US',
  messages: {
    [LOCALE_ENUM.EN]: en,
    [LOCALE_ENUM.CN]: cn,
  },
});

export default i18n;
