import 'normalize.css';
import 'reset.css';
import '@arco-design/web-vue/dist/arco.less';
import '@/styles/index.less';
import { createApp } from 'vue';
import ArcoVue from '@arco-design/web-vue';
import ArcoVueIcon from '@arco-design/web-vue/es/icon';
import globalComponents from '@/components';
import directives from '@/directives';
// eslint-disable-next-line import/no-unresolved
import 'virtual:svg-icons-register';
import router from './router';
import store from './store';
import i18n from './locale';
import App from './App.vue';

createApp(App)
  .use(ArcoVue)
  .use(ArcoVueIcon)
  .use(router)
  .use(store)
  .use(i18n)
  .use(directives)
  .use(globalComponents)
  .mount('#app');
