// 账号正则
export const REG_USERNAME = /^[a-zA-Z0-9]{6,20}$/;

// 汉字
export const REG_CHINESE_CHARACTER = /[\u4e00-\u9fa5]/;

// url
export const REG_URL =
  /^((https?):\/\/)?([^!@#$%^&*?.\s-]([^!@#$%^&*?.\s]{0,63}[^!@#$%^&*?.\s])?\.)+[a-z]{2,6}\/?/;

// 大于零的数字
export const NOT_ZERO_NUM = /[1-9]\d*(.\d+)?$/;

export const validatorNum = {
  validator(value: string, callback: (message?: string) => void) {
    if (NOT_ZERO_NUM.test(value) || value === '无价值') {
      callback();
    } else {
      callback('请输入大于零的数字');
    }
  },
};

export const validatorNotReqNum = {
  validator(value: string, callback: (message?: string) => void) {
    if (!value || NOT_ZERO_NUM.test(value) || value === '无价值') {
      callback();
    } else {
      callback('请输入大于零的数字');
    }
  },
};
