import { isLogin } from '@/utils/auth';
import NProgress from 'nprogress'; // progress bar
import { useUserStore } from '@/store';
import { Router } from 'vue-router';
// fixme 白名单临时增加进港航班查询用于开发
// /composite-search/inwardFlightInquiry/index
const whiteList: string[] = [
  '/login',
  '/composite-search/inward-flight-inquiry',
  '/composite-search/inward-flight-inquiry-his',
  '/departure/waybill-manage',
];

const routerInterceptor = (router: Router) => {
  let isFresh = true;
  setTimeout(() => {
    isFresh = false;
  });

  router.beforeEach(async (_to: any, _from, next) => {
    NProgress.start();
    const userStore = useUserStore();
    if (whiteList.includes(_to.path)) {
      await next();
    } else if (isLogin()) {
      // 刷新页面
      if (isFresh) {
        isFresh = false;
        // 刷新需要重新添加路由
        await userStore.info();
        await next(_to.redirectedFrom?.fullPath || _to.fullPath);
      } else if (_to.path === '/login') {
        // replace 防止浏览器回退按钮
        next({
          path: _from.path,
          replace: true,
        });
      } else if (_to.path === '/') {
        next({
          path: userStore.menu[0].children[0].path,
        });
      } else {
        next();
      }
    } else {
      next('/login');
    }
    next();
  });
  router.afterEach(() => {
    NProgress.done();
  });
};

export default routerInterceptor;
