export default {
  path: '/background',
  component: () => import('@/layout/page-layout.vue'),
  meta: {
    title: '后台管理',
    slotIcon: 'background',
    sort: 4,
  },
  children: [
    {
      path: '/background/department',
      name: 'department',
      component: () => import('@/views/background/department/index.vue'),
      meta: {
        title: '企业备案',
      },
    },
    {
      path: '/background/account',
      name: 'backgroundAccount',
      component: () => import('@/views/background/account/index.vue'),
      meta: {
        title: '用户管理',
      },
    },
    {
      path: '/background/menu',
      name: 'backgroundMenu',
      component: () => import('@/views/background/menu/index.vue'),
      meta: {
        title: '菜单管理',
      },
    },
    {
      path: '/background/role',
      name: 'backgroundRole',
      component: () => import('@/views/background/role/index.vue'),
      meta: {
        title: '角色管理',
      },
    },
    {
      path: '/background/message',
      name: 'backgroundMessage',
      component: () => import('@/views/background/message/index.vue'),
      meta: {
        title: '消息管理',
      },
    },
  ],
};
