export default {
  path: '/composite-search',
  component: () => import('@/layout/page-layout.vue'),
  meta: {
    title: '综合查询管理',
    slotIcon: 'search',
    sort: 3,
  },
  children: [
    {
      path: '/composite-search/waybill-follow',
      name: 'waybillFollow',
      component: () =>
        import('@/views/compositeSearch/waybillFollow/index.vue'),
      meta: {
        title: '运单追踪',
      },
    },
    // {
    //   path: '/composite-search/fly-status',
    //   name: 'flyStatus',
    //   component: () => import('@/views/compositeSearch/flyStatus/index.vue'),
    //   meta: {
    //     title: ' 航班动态',
    //   },
    // },
    // {
    //   path: '/comprehensive/agent-bill',
    //   name: 'comprehensive-agent-bill',
    //   component: () => import('@/views/comprehensive/agentBill/index.vue'),
    //   meta: {
    //     title: '代理人账单管理',
    //   },
    // },
    // {
    //   path: '/comprehensive/airline-bill',
    //   name: 'comprehensive-airline-bill',
    //   component: () => import('@/views/comprehensive/airlineBill/index.vue'),
    //   meta: {
    //     title: '航司账单管理',
    //   },
    // },
    {
      path: '/composite-search/waybill-follow/detail',
      name: 'waybillFollowDetail',
      hidden: true,
      component: () =>
        import('@/views/compositeSearch/waybillFollow/detail.vue'),
      meta: {
        title: '运单追踪详情',
      },
    },
    {
      path: '/composite-search/inward-flight-inquiry',
      name: 'inwardFlightInquiry',
      hidden: true,
      component: () =>
        import('@/views/compositeSearch/inwardFlightInquiry/index.vue'),
      meta: {
        title: '进港航班查询',
      },
    },
    {
      path: '/composite-search/inORout-flight-inquiry',
      name: 'inORoutFlightInquiry',
      hidden: true,
      component: () =>
        import('@/views/compositeSearch/inORoutFlightInquiry/index.vue'),
      meta: {
        title: '出港航班查询',
      },
    },
  ],
};
