import { defineStore } from 'pinia';
import { waybillState } from './types';

const useWaybillStore = defineStore('waybill', {
  state: (): waybillState => ({
    hawbDetail: null,
    awbContact: null,
    mawbDetail: null,
  }),
  getters: {
    waybillCurrentSetting(state: waybillState): waybillState {
      return { ...state };
    },
  },
  actions: {
    setValueByKey(key: string, data: Record<string, any>) {
      switch (key) {
        case 'hawbDetail':
          this.hawbDetail = data;
          this.mawbDetail = null;
          break;
        case 'awbContact':
          this.awbContact = data;
          break;
        case 'mawbDetail':
          this.mawbDetail = data;
          this.hawbDetail = null;
          break;
        default:
      }
    },
  },
});

export default useWaybillStore;
