import useTableOperate from '@/hooks/tableOperate';
import useTableIndex from '@/hooks/tableIndex';
import { COLUMNS_WIDTH, TABLE_ELLIPSIS, TABLE_TOOLTIP } from '@/constant/base';

export const columns = useTableOperate(
  useTableIndex([
    {
      width: COLUMNS_WIDTH.LG,
      title: '捆绑关系号',
      dataIndex: 'urmNo',
    },
    {
      width: COLUMNS_WIDTH.SM,
      title: '审核状态',
      dataIndex: 'status',
    },
    {
      width: COLUMNS_WIDTH.SM,
      title: '车牌信息',
      dataIndex: 'vehNo',
    },
    {
      width: COLUMNS_WIDTH.BASE,
      title: '车辆信息',
      dataIndex: 'vehTypes',
    },
    {
      width: COLUMNS_WIDTH.BASE,
      title: '预约日期',
      dataIndex: 'audDate',
    },
    {
      width: COLUMNS_WIDTH.BASE,
      title: '预约时间段',
      dataIndex: 'audTseg',
    },
    {
      width: COLUMNS_WIDTH.XS,
      title: '总件数',
      dataIndex: 'pcsTl',
    },
    {
      width: COLUMNS_WIDTH.SM,
      title: '总重量(KG)',
      dataIndex: 'wtTl',
    },
    {
      width: COLUMNS_WIDTH.BASE,
      title: '联系人',
      dataIndex: 'drvName',
    },
    {
      width: COLUMNS_WIDTH.BASE,
      title: '垛口',
      dataIndex: 'dockNo',
    },
    {
      width: COLUMNS_WIDTH.SM,
      title: '代理',
      dataIndex: 'fwdNo',
    },
    {
      width: COLUMNS_WIDTH.LG,
      title: '运单信息',
      dataIndex: 'waybillInfo',
      fixed: 'right',
      slotName: 'waybillInfo',
    },
  ]),
  {
    width: COLUMNS_WIDTH.SM,
    align: 'center',
  }
);

export const detailColumns = useTableIndex([
  {
    title: '主运单号',
    dataIndex: 'mawbNo',
    align: 'center',
  },
  {
    title: '分运单号',
    dataIndex: 'hawbNo',
    align: 'center',
    render(scope: any) {
      return h('span', scope.record.hawbNo || '--');
    },
  },
  {
    title: '件数',
    dataIndex: 'pcs',
    align: 'center',
    render(scope: any) {
      return h('span', scope.record.pcs || '--');
    },
  },
  {
    title: '重量(KG)',
    dataIndex: 'weight',
    align: 'center',
    render(scope: any) {
      return h('span', scope.record.weight || '--');
    },
  },
  {
    title: '品名',
    dataIndex: 'goodsName',
    align: 'center',
  },
  {
    title: '航班号',
    dataIndex: 'fltNo',
    align: 'center',
  },
  {
    title: '航班日期',
    dataIndex: 'fltDate',
    align: 'center',
  },
  {
    title: '报关单号',
    dataIndex: 'decNo',
    align: 'center',
    render(scope: any) {
      return h('span', scope.record.decNo || '--');
    },
  },
  {
    title: '操作',
    width: COLUMNS_WIDTH.SM,
    align: 'center',
    slotName: 'oprate',
  },
]);

export const waybillColumns = useTableIndex([
  {
    title: '主运单号',
    dataIndex: 'mawbNo',
    align: 'center',
  },
  {
    title: '分运单号',
    dataIndex: 'hawbNo',
    align: 'center',
  },
]);

export const useTableOptions = {
  tableSetting: {
    scroll: {
      x: '120%',
      y: '100%',
    },
  },
};
