import BaseApi from '@/api/base/BaseApi';

class RoleApi extends BaseApi {
  constructor() {
    super({
      baseUrl: '/ucenter/role',
    });
  }

  bindMenu(data?: any) {
    return super.customizePost('/bindMenu', data);
  }

  roleMenu(id?: any) {
    return super.customizeGet(`/menu/${id}`);
  }

  roleList() {
    return super.customizeGet('/list-all');
  }

  add(data: any) {
    return super.customizePost('/create', data);
  }

  pathStart(ids: any) {
    return super.customizePut(`/status/start/${ids}`);
  }

  pathCancel(ids: any) {
    return super.customizePut(`/status/cancel/${ids}`);
  }

  listByType() {
    return super.customizeGet(`/list-type`);
  }
}

export default new RoleApi();
