import BaseApi from '@/api/base/BaseApi';
import request from '@/api/request';
import type { ResponseData } from '@/api/request/index.d';

class CurrentPageApi extends BaseApi {
  constructor() {
    super({
      baseUrl: 'address',
    });
  }

  addressPageList(data?: any): Promise<ResponseData<any>> {
    return request.post(`${this.baseUrl}/pageList`, data);
  }

  createAddress(data?: any): Promise<ResponseData<any>> {
    return request.post(`${this.baseUrl}/create`, data);
  }

  updateAddress(data?: any): Promise<ResponseData<any>> {
    return request.post(`${this.baseUrl}/update`, data);
  }

  infoAddress(data?: any): Promise<ResponseData<any>> {
    return request.get(`${this.baseUrl}/info?id=${data}`);
  }

  deleteAddress(data?: any): Promise<ResponseData<any>> {
    return request.get(`${this.baseUrl}/deleteById?id=${data}`);
  }
}

export default new CurrentPageApi();
