import BaseApi from '@/api/base/BaseApi';
import request from '@/api/request';
import type { ResponseData } from '@/api/request/index.d';

class CurrentPageApi extends BaseApi {
  constructor() {
    super({
      baseUrl: '',
    });
  }

  /**
   * 入港航班查询
   * @param data
   */
  page(data: any): Promise<ResponseData<any>> {
    return request.post(`${this.baseUrl}/mawb/iMawbList`, data);
  }

  get(data: any): Promise<ResponseData<any>> {
    return request.get(`${this.baseUrl}/mawb/fwbInfo?mawbId=${data}`);
  }

  getMawbCount(data: any): Promise<ResponseData<any>> {
    return request.post(`${this.baseUrl}/mawb/iMawbCount`, data);
  }

  export(data: any) {
    return request.exportFile(`${this.baseUrl}/mawb/inMawbCsv`, data, 'post');
  }

  selectOption(data: any | null): Promise<ResponseData<any>> {
    return request.get(`${this.baseUrl}/dict/options?code=${data}`);
  }
  /* /mawb/fwbInfo?mawbId=1

  get(data: any): Promise<ResponseData<any>> {
    return request.get(`${this.baseUrl}/inbound/info?mawbId=`, data);
  }
*/
}

export default new CurrentPageApi();
