import BaseApi from '@/api/base/BaseApi';
import request from '@/api/request';
import type { ResponseData } from '@/api/request/index.d';

class CurrentPageApi extends BaseApi {
  constructor() {
    super({
      baseUrl: 'fee/outward',
    });
  }

  page(data: any): Promise<ResponseData<any>> {
    return request.post(`${this.baseUrl}/page`, data);
  }

  get(data: any): Promise<ResponseData<any>> {
    return request.post(`${this.baseUrl}/detail`, data);
  }

  confirm(data: any): Promise<ResponseData<any>> {
    return request.post(`${this.baseUrl}/confirm`, data);
  }

  submit(data: any): Promise<ResponseData<any>> {
    return request.post(`${this.baseUrl}/submit`, data);
  }

  export(data: any) {
    return request.exportFile(`${this.baseUrl}/download`, data, 'post');
  }
}

export default new CurrentPageApi();
