import { BILL_STATUS_MAP } from '@/constant/bill';
import { useUserStore } from '@/store';
import { obj2propsList } from '@/utils/common';
import { Ref } from 'vue';

const userStore = useUserStore();
// 查询条件
export const setFiltrateData = (billStatusMap: Ref<string[]>) => {
  return [
    // { label: '结算编码', field: 'mtBcode', placeholder: '请输入结算编码' },
    // {
    //   label: '结算方式',
    //   field: 'payCode',
    //   placeholder: '请选择结算方式',
    //   type: 'select',
    //   options: billStatusMap,
    // },
    { label: '付费对象', field: 'refName', placeholder: '请输入付费对象' },
    {
      label: '是否确认',
      field: 'tgtCfmStatus',
      placeholder: '请选择',
      type: 'select',
      options: obj2propsList(BILL_STATUS_MAP, false),
    },
    {
      label: '结算日期',
      field: 'timeRange',
      type: 'date-picker',
      componentConfig: {
        'mode': 'daterange',
        'showTime': false,
        'allow-clear': false,
      },
    },
    {
      label: '代理代码',
      field: 'tgtNo',
      placeholder: '请输入代理代码',
      show: userStore.isSuperAdmin,
    },
  ];
};

export const formConfig = [
  {
    label: '结算编号',
    field: 'mtBcode',
    clo: 24,
  },
  {
    label: '付费对象',
    field: 'refName',
    clo: 24,
  },
  // {
  //   label: '总金额',
  //   field: 'tlPrice',
  //   clo: 12,
  // },
];
