import BaseApi from '@/api/base/BaseApi';
import request from '@/api/request';
import type { ResponseData } from '@/api/request/index.d';

class CurrentPageApi extends BaseApi {
  constructor() {
    super({
      baseUrl: 'awb',
    });
  }

  page(data: any): Promise<ResponseData<any>> {
    return request.post(`${this.baseUrl}/list`, data);
  }

  checkExist(data: any): Promise<ResponseData<any>> {
    return request.post(`${this.baseUrl}/checkExist`, data);
  }

  /**
   * 新增主运单
   * @param data
   */
  addMainWaybill(data: any): Promise<ResponseData<any>> {
    return request.post(`${this.baseUrl}/insert`, data);
  }

  get(data: any): Promise<ResponseData<any>> {
    return request.post(`${this.baseUrl}/info`, data);
  }

  update(data: any): Promise<ResponseData<any>> {
    return request.post(`${this.baseUrl}/update`, data);
  }

  printReport(data: any) {
    return request.exportFile(`${this.baseUrl}/download`, data, 'post');
  }

  printConfirm(data: any) {
    return request.exportFile(`${this.baseUrl}/print`, data, 'post');
  }

  addHawb(data: any): Promise<ResponseData<any>> {
    return request.post(`${this.baseUrl}/hawb/add`, data);
  }
}

export default new CurrentPageApi();
