import useTableIndex from '@/hooks/tableIndex';
import useTableOperate from '@/hooks/tableOperate';
import { COLUMNS_WIDTH } from '@/constant/base';

// 表格
export const columns = useTableOperate(
  useTableIndex([
    {
      title: '主运单信息',
      dataIndex: 'mawbNo',
    },
    {
      title: '分运单信息',
      dataIndex: 'hawbNo',
    },
    {
      title: '航班号',
      dataIndex: 'fltNo',
    },
    {
      title: '航班日期',
      dataIndex: 'fltDate',
    },
    {
      title: '件数/重量',
      dataIndex: 'pcsWt',
    },
    {
      title: '目的地',
      dataIndex: 'destNo',
    },
    {
      title: '代理代码',
      dataIndex: 'agtNo',
    },
    /*    {
      title: '货物类型',
      dataIndex: 'goodsType',
      render(scope: any) {
        return h(() => {
          return '';
        });
      },
    }, */
    {
      title: '收单状态',
      dataIndex: 'status',
      align: 'center',
      render(scope: any) {
        return h(
          'span',
          {
            class:
              scope.record.status === '否' ? 'text-danger' : 'text-success',
          },
          scope.record.status
        );
      },
    },
  ]),
  { width: 300, align: 'center' }
);

// 主运单——货物尺寸表格配置
export const dimSizeColumns = useTableIndex([
  {
    title: '件数',
    dataIndex: 'pcs',
    align: 'center',
  },
  {
    title: '体积（m³）',
    dataIndex: 'volume',
    align: 'center',
  },
  {
    title: '长（cm）',
    dataIndex: 'length',
    align: 'center',
  },
  {
    title: '宽（cm）',
    dataIndex: 'width',
    align: 'center',
  },
  {
    title: '高（cm）',
    dataIndex: 'height',
    align: 'center',
  },
]);

// 运单明细——运价项列表
export const freightColumns = useTableIndex([
  {
    title: '件数',
    dataIndex: 'pcs',
    align: 'center',
  },
  {
    title: '毛重',
    dataIndex: 'wtGrs',
    align: 'center',
  },
  {
    title: '计费重量',
    dataIndex: 'wtChg',
    align: 'center',
  },
  {
    title: '类型',
    dataIndex: 'rtCls',
    align: 'center',
  },
  {
    title: '费率',
    dataIndex: 'rtVal',
    align: 'center',
  },
  {
    title: '总运价',
    dataIndex: 'tlVal',
    align: 'center',
  },
  {
    title: '商品代码',
    dataIndex: 'commNo',
    align: 'center',
  },
  {
    title: '货物描述',
    dataIndex: 'nDesc',
    align: 'center',
  },
  {
    title: '操作',
    width: 200,
    align: 'center',
    slotName: 'oprate',
  },
]);
